import { LogEntry } from 'winston';
import Transport, { TransportStreamOptions } from 'winston-transport';
import * as Sentry from '@sentry/node';
export interface SentryOption {
    dsn: string;
}
export interface Extra {
    extra?: {
        [key: string]: any;
    };
}
export interface Tag {
    tags?: {
        [key: string]: any;
    };
}
export interface UserInfo {
    user?: Sentry.User;
}
export declare type Log = LogEntry & Extra & Tag & UserInfo;
export declare class SentryTransport extends Transport {
    constructor(opts: TransportStreamOptions & SentryOption);
    log(info: Log, next: () => void): void;
    private setExtra;
    private setTag;
    private setUserInfo;
    private getLevel;
}
